Package be.fgov.ehealth.dics.protocol.v5

# Class FindCommentedClassificationRequest

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.RequestType
be.fgov.ehealth.dics.protocol.v5.DicsRequestType
be.fgov.ehealth.dics.protocol.v5.FindCommentedClassificationRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class FindCommentedClassificationRequest extends DicsRequestType implements Serializable

Java class for FindCommentedClassificationRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FindCommentedClassificationRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:protocol:v5}DicsRequestType">
           <choice>
             <element name="FindByCommentedClassification" type="{urn:be:fgov:ehealth:dics:protocol:v5}FindByCommentedClassificationType"/>
             <element name="FindByProduct" type="{urn:be:fgov:ehealth:dics:protocol:v5}FindByVirtualProductType"/>
           </choice>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindCommentedClassificationRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FindByCommentedClassificationType`
  `getFindByCommentedClassification()`
  Returns the Commented Classification Tree(s) with root identified by the given code or title matching the given AnyNamePart
  `FindByVirtualProductType`
  `getFindByProduct()`
  Returns all CommentedClassification referenced by the product(s) matching the given code or name.
  `void`
  `setFindByCommentedClassification(FindByCommentedClassificationType value)`
  Sets the value of the findByCommentedClassification property.
  `void`
  `setFindByProduct(FindByVirtualProductType value)`
  Sets the value of the findByProduct property.

  ### Methods inherited from class be.fgov.ehealth.dics.protocol.v5.DicsRequestType

  `getSearchDate, setSearchDate`

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

  `getId, getIssueInstant, setId, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FindCommentedClassificationRequest

    public FindCommentedClassificationRequest()

- ## Method Details

  - ### getFindByProduct

    public FindByVirtualProductType getFindByProduct()
    Returns all CommentedClassification referenced by the product(s) matching the given code or name.
    Returns:
      possible object is `FindByVirtualProductType`

  - ### setFindByProduct

    public void setFindByProduct(FindByVirtualProductType value)
    Sets the value of the findByProduct property.
    Parameters:
      `value` - allowed object is `FindByVirtualProductType`
    See Also:
      - `getFindByProduct()`

  - ### getFindByCommentedClassification

    public FindByCommentedClassificationType getFindByCommentedClassification()
    Returns the Commented Classification Tree(s) with root identified by the given code or title matching the given AnyNamePart
    Returns:
      possible object is `FindByCommentedClassificationType`

  - ### setFindByCommentedClassification

    public void setFindByCommentedClassification(FindByCommentedClassificationType value)
    Sets the value of the findByCommentedClassification property.
    Parameters:
      `value` - allowed object is `FindByCommentedClassificationType`
    See Also:
      - `getFindByCommentedClassification()`